Retrieve a specific identity by its internal ID.
Behavior:
- Only returns identities in the
ACTIVEstate. Deactivated identities will result in an error. - Always returns the latest version of the identity. Historical versions are not accessible through this endpoint.
- If no active identity exists for the given
internal-id, a 404 is returned.
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/identities/by-internal-id/{internal-id}
- UAT environment with simulated currencyhttps://api.test.ripple.com/v3/identities/by-internal-id/{internal-id}
- Production environmenthttps://api.ripple.com/v3/identities/by-internal-id/{internal-id}
curl -i -X GET \
https://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/identities/by-internal-id/customer-12345-uuid \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Identity details.
The type of the identity
| Enum Value | Description |
|---|---|
| BUSINESS | Identity associated with an institution or business |
| INDIVIDUAL | Identity associated with an individual |
The payment role of the identity
| Enum Value | Description |
|---|---|
| ORIGINATOR | Refers to originator identity |
| BENEFICIARY | Refers to beneficiary identity |
Client-provided unique identifier for idempotency and deduplication. Required for ORIGINATOR identities; optional for BENEFICIARY identities. Must be unique across all active identities in your organization. Duplicate values will result in a 409 Conflict error.
This is your own reference key, not the originator's account number. Use originatorAccountNumber for that.
The originator's account number, or your customer identifier for the originator. Required for ORIGINATOR identities on USD payments to China (CN_CFXPS); optional elsewhere. Only sent to payout partners for ORIGINATOR identities.
Must be unique across all active identities in your organization, including BENEFICIARY identities. Duplicate values return a 409 Conflict error.
Corridor length and character limits apply to this value but are not enforced on this field. See the corridor's Integration resources page.
Server-generated unique identifier of the identity.
The state of the identity
- ACTIVE
- DEACTIVATED
| Enum Value | Description |
|---|---|
| ACTIVE | The identity requested exists and is active. |
| DEACTIVATED | The identity requested has been deactivated. |
List of payout methods where this identity is considered valid. Use this to indicate which payout methods (for example, US_ACH, EU_SEPA) the identity can be used with in payments.
RFC 3339 timestamp when the identity was created.
{ "identityId": "9d839f58-7fd3-4913-a27e-48d31973d3f9", "identityState": "ACTIVE", "nickName": "nickName", "tags": [ "tag1" ], "version": "2", "schemaVersion": "1.0.0", "createdAt": "2025-10-01T18:46:41.833Z", "updatedAt": "2025-10-01T18:46:47.430Z", "identityType": "BUSINESS", "paymentRole": "ORIGINATOR", "internalId": "customer-12345-uuid", "business": { "businessName": "Widgets Org", "address": { … }, "email": "fake@example.com", "phone": "+1234567890", "registration": [ … ], "incorporationCountry": "US" } }